<form [formGroup]="contractInfoFormGroup">
    <div class="example-container mat-elevation-z4" fxLayout="column"  fxLayoutGap="20px" >
        <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
            <div fxFlex="20" class="required-label-color">{{psNamelabel}} </div> 
            <div fxFlex="30">
                    <mat-form-field fxFlex appearance="outline">
                        <input matInput formControlName="primaryServiceNameCtrl" maxlength="50" (blur)="primaryServiceNameBlurEvent($event)" />
                    </mat-form-field>
                    <input type="hidden" formControlName="primaryServiceContractIDHiddenCtrl" name="primaryServiceContractIDHiddenCtrl" value="">
            </div>
            <div fxFlex></div>
        </div>
        <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
            <div fxFlex="20" class="required-label-color">Does the service contract include populations ?</div>
            <div fxFlex="30">
                <mat-radio-group formControlName="includePopulationCtrl" name="includePopulationCtrl" [(ngModel)]="includePopulationModel" (change)="includePopulationChange($event)">
                    <mat-radio-button class="mat-radio-label" *ngFor="let ynType of yesNoTypes" [value]="ynType.refGroupDetailID" [checked]="includePopulationModel === ynType.refGroupDetailID">{{ynType.refGroupDetailDescription}} &nbsp;&nbsp;&nbsp;</mat-radio-button>
                </mat-radio-group>
            </div>
            <div fxFlex></div>
        </div>
        <div fxLayout="row" fxLayoutAlign="left center" style="padding-top: 5px; padding-bottom: 5px;">
            <div fxLayout="column" fxFlex>   
                <div fxLayout="row" fxLayoutAlign="left center" fxLayoutGap="5px" fxFlex>
                        <div fxFlex="20"></div>
                        <div fxFlex="10" class="optional-label-color">Population Name</div>
                        <div fxFlex="15" fxLayoutAlign="left center" style="margin-top: 12px">
                                <mat-form-field fxFlex appearance="outline">
                                    <input type="text" matInput formControlName="popNameCtrl" maxlength="20" [ngStyle]="disabledStype" />
                                </mat-form-field>
                        </div>
                        <div fxFlex="12" class="optional-label-color" fxLayoutAlign="left center">Population Description</div>
                        <div fxFlex fxLayoutAlign="left center" style="margin-top: 12px">
                                <mat-form-field fxFlex appearance="outline">
                                    <input matInput formControlName="popDescriptionCtrl" maxlength="250" [ngStyle]="disabledStype" />
                                </mat-form-field>
                                <input type="hidden" formControlName="popIDHiddenCtrl" name="popIDHiddenCtrl" value="">
                                <input type="hidden" formControlName="popUniqueIDHiddenCtrl" name="popUniqueIDHiddenCtrl" value="">
                        </div>
                        <div fxFlex="15"></div>
                </div>
                <div fxLayout="row" fxLayoutAlign="left center" fxLayoutGap="5px" fxFlex>
                        <div fxFlex="20"></div>
                        <div class="optional-label-color" fxLayoutAlign="left center" fxFlex="35">
                            Is Application Match required for Direct Referral ? &nbsp;  <mat-checkbox formControlName="applicationMatchCtrl"></mat-checkbox>
                        </div>
                        <div fxFlex="15" fxLayoutAlign="left center">
                            <button type="button" mat-raised-button color="primary" (click)="savePopulation()">{{saveOrAddLabel}}</button> &nbsp; 
                            <button type="button" mat-raised-button color="primary" (click)="clearPopulation()">Clear</button>
                        </div>
                        <div fxFlex></div>
                </div>
            </div>
        </div>
        <div fxLayout="row" fxLayoutAlign="left center">
            <div><span>&nbsp;</span></div>
        </div>
        <div fxLayout="row" fxLayoutAlign="left center">
            <ag-grid-angular #agPopulationsGrid id="populationsGrid" style="width: 100%"
                class="ag-theme-balham my-grid" [columnDefs]="populationColumnDefs" [defaultColDef]="defaultColDef"
                [rowData]="populationGridData" [rowSelection]="rowSelection" [singleClickEdit]="true"
                [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptionsPop"
                [pagination]="pagination" [paginationPageSize]="10" [context]="context1"
                [frameworkComponents]="popGridComponents" (firstDataRendered)="onFirstDataRendered($event)"
                (gridReady)="onGridReady($event)">
            </ag-grid-angular>
        </div>
        <div fxLayout="row" fxLayoutAlign="left center">
            <div><span>&nbsp;</span></div>
        </div>
        <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
             <div fxFlex="28" class="required-label-color">Select the Rental Subsidies applicable for this service contract</div>
             <div fxFlex>
                <mat-form-field style="width: 400px;" appearance="outline">
                    <mat-select formControlName="rentalSubsidiesCtrl"  [(ngModel)]="rentalSubsidiesData" placeholder="Select" multiple >
                      <mat-option *ngFor="let rentalSubsidy of rentalSubsidies" [value]="rentalSubsidy.refGroupDetailID">
                                {{rentalSubsidy.refGroupDetailDescription}}
                      </mat-option>
                    </mat-select>
                </mat-form-field>
             </div> 
        </div>

        <div fxLayout="row" fxLayoutAlign="left center">
            <div><span>&nbsp;</span></div>
        </div>

        <div fxLayout="row" fxLayoutAlign="left center" fxLayoutGap="5px">
            <div fxFlex="28" class="required-label-color">Define the Unit Types applicable for this contract and population<br />(if applicable) ?</div>
            <div fxFlex="52" fxLayout="column">
                <div fxLayoutAlign="left center" fxLayoutGap="5px">
                    <div  class="optional-label-color">Agreement Population</div>
                    <div  style="padding-top: 5px">
                          <mat-form-field style="width: 200px;" appearance="outline">
                              <mat-select formControlName="agreePopCtrl" placeholder="Select" [(ngModel)]="agreePopDataModel" (selectionChange)="AgreementPopSelectChange($event)">
                              <mat-option *ngFor="let population of populationGridData" [value]="population.uniqueID">
                                      {{population.name}}
                              </mat-option>
                              </mat-select>
                          </mat-form-field>
                    </div>
                    <div ></div>
                </div>
                <div fxLayoutAlign="left center" fxLayoutGap="5px">
                        <div  class="optional-label-color">Unit Type</div>
                        <div  style="padding-top: 5px">
                            <mat-form-field style="width: 300px;" appearance="outline">
                                <mat-select formControlName="unitTypesCtrl" [(ngModel)]="unitTypesDataModel"  placeholder="Select" (selectionChange)="unitTypeSelectChange($event)" multiple >
                                <mat-option *ngFor="let unitType of unitTypes" [value]="unitType.id">
                                        {{unitType.name}}
                                </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                        <div >
                            <button type="button" mat-raised-button color="primary" (click)="saveUnitTypes()">{{saveOrAddLabel2}}</button> &nbsp; 
                            <button type="button" mat-raised-button color="primary" (click)="clearUnitTypes()">Clear</button>
                        </div>
                </div>
            </div> 
            <div fxFlex="20"></div>
        </div>

        <div fxLayout="row" class="div-row" fxLayoutAlign="left center">
            <div><span>&nbsp;</span></div>
        </div>

        <div fxLayout="row" fxLayoutAlign="left center">
            <ag-grid-angular #agPopulationUnitTypeGrid id="populationUnitTypeGrid" style="width: 100%"
                class="ag-theme-balham my-grid" [columnDefs]="populationUnitColumnDefs" [defaultColDef]="defaultColDef"
                [rowData]="popUnitTypesGridData" [rowSelection]="rowSelection" [singleClickEdit]="true"
                [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptionsPopUnitType"
                [pagination]="pagination" [paginationPageSize]="10" [context]="context2"
                [frameworkComponents]="unitTypeGridComponents" (firstDataRendered)="onFirstDataRendered($event)"
                (gridReady)="onGridReady($event)">
            </ag-grid-angular>
        </div>

       <div fxLayout="row" fxLayoutAlign="left center">
           <div><span>&nbsp;</span></div>
       </div>

    </div>
</form>
   